Request body
| Parameter | Description |
|---|---|
fromstringrequired | Sender name. |
textstringrequired | Message text for all recipients. |
recipientsarrayrequired | Recipients of the campaign. |
recipients[].tostringrequired | Recipient phone number, including the country code. |
recipients[].messageIdstringoptional | Your message ID. Assigned automatically when omitted. |
bulkIdstringoptional | Your campaign ID. Assigned automatically when omitted. |
startTimestringoptional | Start time in UTC, for example 2026-09-15T10:00:00.000Z. Starts immediately when omitted. |
cURL · POST
curl --request POST 'https://api.quantumtec.eu/v1/sms/bulk' \
--header 'X-ApiKey: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--data '{
"from": "INFO",
"text": "Test message",
"recipients": [
{
"to": "37250000000"
},
{
"to": "37250000001"
}
]
}'Response
Save bulkId to retrieve delivery reports or message IDs for this campaign.
| Parameter | Description |
|---|---|
bulkIdstring | Campaign identifier. |
JSON response
{
"bulkId": "1545e7e0-ad73-1f42-831a-5345bd11d5b4"
}